# Created by pyp2rpm-3.3.2
%global pypi_name pyrabbit2

%if 0%{?fedora} || 0%{?rhel} > 7
%global with_python3 1
%global with_python2 0
%else
%global with_python3 0
%global with_python2 1
%endif


Name:           python-%{pypi_name}
Version:        1.0.6
Release:        3%{?dist}
Summary:        A Pythonic interface to the RabbitMQ Management HTTP API

License:        MIT
URL:            https://github.com/deslum/pyrabbit2
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch


%global common_desc \
Fork module to communicate the RabbitMQ HTTP Management API main \
documentation lives at 's no way to easily write programs against \
RabbitMQs management API without resorting to some messy urllib boilerplate \
code involving HTTP Basic authentication and parsing the JSON responses, \
etc. Pyrabbit abstracts this away & provides an intuitive, easy way to \
work with the data that lives inside of...

%description
%{common_desc}

%if 0%{?with_python2}
%package -n     python2-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

Requires:       python2-requests
%description -n python2-%{pypi_name}
%{common_desc}

%endif

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

Requires:       python3dist(requests)
%description -n python3-%{pypi_name}
%{common_desc}

%endif


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%if 0%{?with_python3}
%py3_build
%endif
%if 0%{?with_python2}
%{__python2} setup.py build
%endif

%install
%if 0%{?with_python3}
%py3_install
%endif

%if 0%{?with_python2}
%{__python2} setup.py install --skip-build --root %{buildroot}
%endif

%if 0%{?with_python2}
%files -n python2-%{pypi_name}
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif
%changelog
* Tue Nov 03 2020 CPaaS User <cpaas-ops@redhat.com> - 1.0.6-3
- Bump release

* Fri Mar 22 2019 Lon Hohberger <lon@redhat.com> - 1.0.6-2
- Conditionalize Python2 subpackage

* Fri Dec 07 2018 Matthias Runge <mrunge@redhat.com> - 1.0.6-1
- Initial package.
